Skip to main content
POST
/
ims
/
work-orders
/
class-lists
/
create
Create a class list
curl --request POST \
  --url https://api-lg.arms.cedarai.com/ims/work-orders/class-lists/create \
  --header 'Content-Type: application/json' \
  --header 'x-arms-api-key: <api-key>' \
  --header 'x-arms-assume-user: <api-key>' \
  --data '
{
  "carrierId": 1234,
  "jobId": "SWITCH-001",
  "items": [
    {
      "equipmentId": 100,
      "location": {
        "grouping": {
          "resourceId": 10,
          "resourceType": "Grouping"
        },
        "groupingIndex": 0
      }
    },
    {
      "equipmentId": 200,
      "location": {
        "grouping": {
          "resourceId": 10,
          "resourceType": "Grouping"
        },
        "groupingIndex": 1
      }
    }
  ]
}
'
{
  "resourceType": "LegacyWorkOrder",
  "resourceId": 123,
  "uuid": "<string>",
  "jobId": "<string>",
  "status": "ACTIVE",
  "createdAt": "2023-11-07T05:31:56Z",
  "cuts": [
    123
  ],
  "isBack": true,
  "carrier": {
    "resourceType": "Carrier",
    "resourceId": 123,
    "uuid": "<string>",
    "carrierCode": "<string>",
    "name": "<string>"
  },
  "createdBy": {
    "resourceType": "User",
    "resourceId": 123,
    "uuid": "<string>",
    "displayName": "<string>",
    "email": "jsmith@example.com"
  }
}

Authorizations

x-arms-api-key
string
header
required

Your ARMS API key

x-arms-assume-user
string
header
required

Email of a user assigned to the appropriate user group

Query Parameters

carrierId
integer
required

Carrier identifier; required for all endpoints

viewAsUserGroup
string

Optional user group context

Body

application/json

Input for creating a class list (switch list).

carrierId
integer
required

Carrier identifier

jobId
string
required

The job ID for the class list

items
object[]
required

The list of equipment moves to include in the class list

Response

OK

A class list (switch list) represents a work order for switching operations.

resourceType
enum<string>
Available options:
LegacyWorkOrder
resourceId
integer
uuid
string

UUID that complements the legacy numeric resourceId.

jobId
string

User-specified label for the class list

status
enum<string>

Status of the class list

Available options:
ACTIVE,
ARCHIVED
createdAt
string<date-time>

When the class list was created

cuts
integer[]

Cut positions in the class list

isBack
boolean

True if switching from the back of the track

carrier
object
createdBy
object